const {
  Telegraf,
  Scenes,
  Markup
} = require('telegraf')

const test = new Scenes.BaseScene('TEST');

test.enter((ctx) => {
ctx.session.myData = {};
  ctx.reply('Scene: Выберите ограбление', Markup.inlineKeyboard([
    [
      {text: 'Карманные кражи', callback_data: `POCKET_ACTION`}, 
      {text: 'Магазин', callback_data: `heist`}, 
      {text: 'Банкомат', callback_data: `heist`}, 
      {text: 'Банковское отделение', callback_data: `heist`}, 
      {text: 'Угон', callback_data: `heist`}, 
      {text: 'Ювелирка', callback_data: `heist`}, 
      {text: 'Банк', callback_data: `heist`}
  ]
]));
});

test.action(`POCKET_ACTION`, (ctx) => {
ctx.reply('Выбор');
ctx.session.myData.preferenceType = 'Pocket';
return ctx.scene.enter('HEIST'); // switch to some other scene
});

test.action(`MOVIE_ACTION`, (ctx) => {
ctx.reply('You choose movie, your loss');
ctx.session.myData.preferenceType = 'Movie';
return ctx.scene.leave(); // exit global namespace
});

test.leave((ctx) => {
ctx.reply('Thank you for your time!');
}); 

module.exports = test